cat > /tmp/hostapd.conf << EOF
driver=nl80211
logger_syslog=127
logger_syslog_level=2
logger_stdout=127
logger_stdout_level=2
hw_mode=g
channel=11
ieee80211n=1
ht_coex=0
ht_capab=[LDPC][SHORT-GI-20][SHORT-GI-40][TX-STBC][RX-STBC1][MAX-AMSDU-7935][DSSS_CCK-40]
interface=wlan0-1
ctrl_interface=/var/run/hostapd
ap_isolate=1
disassoc_low_ack=1
preamble=1
wmm_enabled=1
ignore_broadcast_ssid=0
uapsd_advertisement_enabled=1
auth_algs=1
wpa=0
ssid=LEDE3-1
bridge=br-lan
bssid=00:11:22:33:17:02
EOF
cat > /tmp/wpa_supplicant.conf << EOF
network={
        ssid="openmesh"
        key_mgmt=SAE
        mode=5
        frequency=2462
        psk="9f0a965af38f2d0a13b66d8b46ab962c"
        mcast_rate=18
}
EOF

iw dev wlan0 del
iw phy phy0 interface add wlan0-1 type managed
iw phy phy0 interface add mesh0 type mp
ip link set dev wlan0-1 address 00:11:22:33:17:02
ip link set up dev mesh0
brctl addif br-lan mesh0
hostapd -d /tmp/hostapd.conf  &
ip link set up dev wlan0-1
wpa_supplicant -Dnl80211 -b br-lan -i mesh0 -c /tmp/wpa_supplicant.conf  &
